cURL
curl --request POST \
--url https://api.hirehive.com/v1.0/{company_id}/interviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_id": "<string>",
"event": {
"title": "<string>",
"location": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"organizer_id": "<string>",
"attendees": [
{
"application_id": "<string>",
"user_id": "<string>",
"email": "<string>"
}
]
},
"meta": {
"note_for_candidate": "<string>",
"note_for_attendees": "<string>",
"attach_resume_to_invite": true,
"meeting_url": "<string>"
}
}
'import requests
url = "https://api.hirehive.com/v1.0/{company_id}/interviews"
payload = {
"application_id": "<string>",
"event": {
"title": "<string>",
"location": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"organizer_id": "<string>",
"attendees": [
{
"application_id": "<string>",
"user_id": "<string>",
"email": "<string>"
}
]
},
"meta": {
"note_for_candidate": "<string>",
"note_for_attendees": "<string>",
"attach_resume_to_invite": True,
"meeting_url": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_id: '<string>',
event: {
title: '<string>',
location: '<string>',
start: '2023-11-07T05:31:56Z',
end: '2023-11-07T05:31:56Z',
time_zone: '<string>',
organizer_id: '<string>',
attendees: [{application_id: '<string>', user_id: '<string>', email: '<string>'}]
},
meta: {
note_for_candidate: '<string>',
note_for_attendees: '<string>',
attach_resume_to_invite: true,
meeting_url: '<string>'
}
})
};
fetch('https://api.hirehive.com/v1.0/{company_id}/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"candidate_id": "<string>",
"application_id": "<string>",
"job_id": "<string>",
"event": {
"title": "<string>",
"location": "<string>",
"type": "phone",
"status": "active",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"organizer_id": "<string>",
"attendees": [
{
"id": "<string>",
"application_id": "<string>",
"user_id": "<string>",
"type": "user",
"status": "accepted",
"display_name": "<string>",
"email": "<string>"
}
]
},
"meta": {
"note_for_candidate": "<string>",
"note_for_attendees": "<string>",
"attach_resume_to_invite": true,
"online_meeting_type": "hangouts_meet",
"meeting_url": "<string>"
}
}
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Interviews
Create interview
Create an interview
POST
/
v1.0
/
{company_id}
/
interviews
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I